## org.eclipse.datatools.sqltools.result.internal.ui.view
Class ResultsView

    java.lang.Object
      org.eclipse.core.commands.common.EventManager
          org.eclipse.ui.part.WorkbenchPart
              org.eclipse.ui.part.ViewPart
                  org.eclipse.datatools.sqltools.result.internal.ui.view.ResultsView

All Implemented Interfaces:
  org.eclipse.core.runtime.IAdaptable, org.eclipse.core.runtime.IExecutableExtension, org.eclipse.ui.IPersistable, org.eclipse.ui.IViewPart, org.eclipse.ui.IWorkbenchPart, org.eclipse.ui.IWorkbenchPart2, org.eclipse.ui.IWorkbenchPart3, org.eclipse.ui.part.IWorkbenchPartOrientation

    public class ResultsView

extends org.eclipse.ui.part.ViewPart

This is the view showing the result.

Author:
  Dafan Yang

Field Summary

Fields inherited from interface org.eclipse.ui.IWorkbenchPart
`PROP_TITLE`

Constructor Summary
`ResultsView()`

Method Summary
`void` `clearStatusLine()`
`void` `createPartControl(org.eclipse.swt.widgets.Composite parent)`
`void` `dispose()`
`java.lang.Object` `getAdapter(java.lang.Class adapter)`
`IResultInstance` `getCurrentInstance()`
`org.eclipse.jface.action.IAction[]` `getRegisteredActions()`
`RemoveAllVisibleFinishedResultAction` `getRemoveAllVisibleFinishedResultAction()`
`ResultSection` `getResultSection()`
`ResultsViewControl` `getResultsViewControl()`
`void` `init(org.eclipse.ui.IViewSite site, org.eclipse.ui.IMemento memento)`
`void` `refreshResults()`
`void` `saveState(org.eclipse.ui.IMemento memento)`
`void` `setCurrentInstance(IResultInstance instance)`
`void` `setFocus()`
`void` `setResultSection(ResultSection section)`

Methods inherited from class org.eclipse.ui.part.ViewPart
`getViewSite, init, setInitializationData`

Methods inherited from class org.eclipse.ui.part.WorkbenchPart
`addPartPropertyListener, addPropertyListener, getContentDescription, getOrientation, getPartName, getPartProperties, getPartProperty, getSite, getTitle, getTitleImage, getTitleToolTip, removePartPropertyListener, removePropertyListener, setPartProperty, showBusy`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.eclipse.ui.IWorkbenchPart
`addPropertyListener, getSite, getTitle, getTitleImage, getTitleToolTip, removePropertyListener`

Constructor Detail

### ResultsView

    public ResultsView()

Method Detail

### init

    public void init(org.eclipse.ui.IViewSite site,
                     org.eclipse.ui.IMemento memento)
              throws org.eclipse.ui.PartInitException

  Specified by:
    `init` in interface `org.eclipse.ui.IViewPart`
  Overrides:
    `init` in class `org.eclipse.ui.part.ViewPart`
  Throws:
    `org.eclipse.ui.PartInitException`

### saveState

    public void saveState(org.eclipse.ui.IMemento memento)

  Specified by:
    `saveState` in interface `org.eclipse.ui.IPersistable`
  Specified by:
    `saveState` in interface `org.eclipse.ui.IViewPart`
  Overrides:
    `saveState` in class `org.eclipse.ui.part.ViewPart`

### createPartControl

    public void createPartControl(org.eclipse.swt.widgets.Composite parent)

  Specified by:
    `createPartControl` in interface `org.eclipse.ui.IWorkbenchPart`
  Specified by:
    `createPartControl` in class `org.eclipse.ui.part.WorkbenchPart`

### setFocus

    public void setFocus()

  Specified by:
    `setFocus` in interface `org.eclipse.ui.IWorkbenchPart`
  Specified by:
    `setFocus` in class `org.eclipse.ui.part.WorkbenchPart`

### dispose

    public void dispose()

  Specified by:
    `dispose` in interface `org.eclipse.ui.IWorkbenchPart`
  Overrides:
    `dispose` in class `org.eclipse.ui.part.WorkbenchPart`

### getResultsViewControl

    public ResultsViewControl getResultsViewControl()

### getResultSection

    public ResultSection getResultSection()

### setResultSection

    public void setResultSection(ResultSection section)

### getCurrentInstance

    public IResultInstance getCurrentInstance()

### getRegisteredActions

    public org.eclipse.jface.action.IAction[] getRegisteredActions()

### clearStatusLine

    public void clearStatusLine()

### refreshResults

    public void refreshResults()

### setCurrentInstance

    public void setCurrentInstance(IResultInstance instance)

### getRemoveAllVisibleFinishedResultAction

    public RemoveAllVisibleFinishedResultAction getRemoveAllVisibleFinishedResultAction()

### getAdapter

    public java.lang.Object getAdapter(java.lang.Class adapter)

  Specified by:
    `getAdapter` in interface `org.eclipse.core.runtime.IAdaptable`
  Overrides:
    `getAdapter` in class `org.eclipse.ui.part.WorkbenchPart`